StmtMailName
Operations
Retrieve StmtMailName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getStmtMailName HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 169
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"StmtMailNameStatementMailCode": 1,
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"StmtMailName": {
"RecordChangeDate": "2010-05-08"
},
"MessageId": "getStmtMailName"
}Retrieve StmtMailName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getStmtMailNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 270
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"StmtMailNameStatementMailCode": 1,
"SelectableFields": {
"StmtMailNameFields": {
"StatementMailCode": true,
"StatementMailCodeName": true
}
}
}Successful operation.
{
"StmtMailName": {
"StatementMailCode": 1,
"StatementMailCodeName": "Statement Mail Code 01"
},
"MessageId": "getStmtMailNameSelectFields"
}Retrieve StmtMailName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getStmtMailNamePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 5,
"NumberOfRecordsToSkip": 0,
"Token": "example-token"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"StmtMailName": [],
"Token": null,
"MessageId": "getStmtMailNamePagedList"
}Retrieve StmtMailName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getStmtMailNameListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 195
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"SelectableFields": {
"IncludeAllStmtMailNameFields": true
}
}Successful operation.
{
"StmtMailNameList": [],
"MessageId": "getStmtMailNameListSelectFields"
}Search StmtMailName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/searchStmtMailNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 233
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"SelectableFields": {
"IncludeAllStmtMailNameFields": true
},
"SearchFilter": {
"Query": "example-query"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"StmtMailNameList": [],
"MessageId": "searchStmtMailNameSelectFields"
}Retrieve StmtMailName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getStmtMailNamePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 315
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 1,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"StmtMailNameFields": {
"StatementMailCode": true,
"StatementMailCodeName": true
}
}
}Successful operation.
{
"StmtMailName": [
{
"StatementMailCode": 1,
"StatementMailCodeName": "Statement Mail Code 01"
}
],
"Token": "{paging-token}",
"MessageId": "getStmtMailNamePagedListSelectFields"
}Search StmtMailName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/searchStmtMailNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 326
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 1,
"NumberOfRecordsToSkip": 0
},
"Query": "",
"SelectableFields": {
"StmtMailNameFields": {
"StatementMailCode": true,
"StatementMailCodeName": true
}
}
}Successful operation.
{
"StmtMailName": [
{
"StatementMailCode": 1,
"StatementMailCodeName": "Statement Mail Code 01"
}
],
"Token": "{paging-token}",
"MessageId": "searchStmtMailNamePagedSelectFields"
}Update StmtMailName parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.
Successful operation.
POST /nexum/627/2022.01/parameter/updateStmtMailNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 240
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"StmtMailNameStatementMailCode": 1,
"StmtMailNameUpdatableFields": {
"Type": 0,
"Description": "NEXUM EXAMPLE"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"UpdateStatus": {
"isAllFieldsUpdateSuccess": true,
"FailedUpdateStatus": []
},
"MessageId": "updateStmtMailNameByID"
}Last updated
Was this helpful?